Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.liacs.subdisc.cui
Interface CuiMapInterface

All Known Implementing Classes:
  Cui2LineNrMap, Cui2NameMap, Gene2CuiMap

    public interface CuiMapInterface

Field Summary
`static java.lang.String` | `CUI_DIR`
`static java.lang.String` | `CUI2NAME`
`static java.lang.String` | `DOMAIN_FILE_PREFIX`
`static java.lang.String` | `ENTREZ2CUI`
`static java.lang.String` | `GENE_IDENTIFIER_CUIS`
`static java.lang.String` | `GO2CUI`
`static int` | `NR_CUI`
`static int` | `NR_DOMAINS`
`static int` | `NR_ENTREZ_CUI`
`static int` | `NR_EXPRESSION_CUI`
`static int` | `NR_GO_CUI`

Method Summary
`java.util.Map<java.lang.String,? extends java.lang.Object>` | `getMap()`

Field Detail

### CUI_DIR

    static final java.lang.String CUI_DIR

See Also:
  Constant Field Values

### CUI2NAME

    static final java.lang.String CUI2NAME

See Also:
  Constant Field Values

### GENE_IDENTIFIER_CUIS

    static final java.lang.String GENE_IDENTIFIER_CUIS

See Also:
  Constant Field Values

### ENTREZ2CUI

    static final java.lang.String ENTREZ2CUI

See Also:
  Constant Field Values

### GO2CUI

    static final java.lang.String GO2CUI

See Also:
  Constant Field Values

### DOMAIN_FILE_PREFIX

    static final java.lang.String DOMAIN_FILE_PREFIX

See Also:
  Constant Field Values

### NR_DOMAINS

    static final int NR_DOMAINS

See Also:
  Constant Field Values

### NR_CUI

    static final int NR_CUI

See Also:
  Constant Field Values

### NR_EXPRESSION_CUI

    static final int NR_EXPRESSION_CUI

See Also:
  Constant Field Values

### NR_ENTREZ_CUI

    static final int NR_ENTREZ_CUI

See Also:
  Constant Field Values

### NR_GO_CUI

    static final int NR_GO_CUI

See Also:
  Constant Field Values

Method Detail

### getMap

    java.util.Map<java.lang.String,? extends java.lang.Object> getMap()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD